libmspack

Data Fields
msoab_compressor Struct Reference

A compressor for the Offline Address Book (OAB) format. More...

`#include <mspack.h>`

## Data Fields
int(* | compress )(struct msoab_compressor *self, const char *input, const char *output)
| Compress a full OAB file. More...
int(* | compress_incremental )(struct msoab_compressor *self, const char *input, const char *base, const char *output)
| Generate a compressed incremental OAB patch file. More...

## Detailed Description

A compressor for the Offline Address Book (OAB) format.

All fields are READ ONLY.

See also
  mspack_create_oab_compressor(), mspack_destroy_oab_compressor()

## Field Documentation

## ◆ compress

int(* msoab_compressor::compress) (struct msoab_compressor *self, const char *input, const char *output)

Compress a full OAB file.

The input file will be read and the compressed contents written to the output file.

Parameters

  self | a self-referential pointer to the msoab_decompressor instance being called
  input | the filename of the input file. This is passed directly to mspack_system::open().
  output | the filename of the output file. This is passed directly to mspack_system::open().

Returns
  an error code, or MSPACK_ERR_OK if successful

## ◆ compress_incremental

int(* msoab_compressor::compress_incremental) (struct msoab_compressor *self, const char *input, const char *base, const char *output)

Generate a compressed incremental OAB patch file.

The two uncompressed files "input" and "base" will be read, and an incremental patch to generate "input" from "base" will be written to the output file.

Parameters

  self | a self-referential pointer to the msoab_compressor instance being called
  input | the filename of the input file containing the new version of its contents. This is passed directly to mspack_system::open().
  base | the filename of the original base file containing the old version of its contents, against which the incremental patch shall generated. This is passed directly to mspack_system::open().
  output | the filename of the output file. This is passed directly to mspack_system::open().

Returns
  an error code, or MSPACK_ERR_OK if successful

The documentation for this struct was generated from the following file:

- mspack.h